#!/bin/sh
# builds a "subset" dir with symlinks to OE repository
# used to speed up proccessing of bb files
function add_pkg () {
	ls -1d ../org.openembedded.dev/packages/$1
}

cd /home/cyph/oe/subset/

find -type l -exec rm {} \;

(


add_pkg linux-libc-headers
add_pkg dropbear
add_pkg strace

# QT/E deps
add_pkg zlib
add_pkg jpeg
add_pkg libpng
#add_pkg qte-fonts-common

# opie base libs
add_pkg libqpe
add_pkg ncurses
add_pkg readline
add_pkg sqlite
add_pkg libpcap
add_pkg update-rc.d
add_pkg "libopie*"
add_pkg freetype
add_pkg timezones

# opie apps deps
add_pkg libmailwrapper
add_pkg libetpan
add_pkg openssl
add_pkg sword
add_pkg libqtaux
add_pkg libmad
add_pkg libid3tag
add_pkg tremor
add_pkg libogg
add_pkg libmpeg2
add_pkg libmodplug
add_pkg libvorbis
add_pkg libxine
add_pkg libsidplay
add_pkg libmikmod
add_pkg flite

# all of opie
add_pkg "opie-*"
add_pkg qpdf2

# konq/e stuff
add_pkg konqueror
add_pkg pcre

#QPE deps
add_pkg gdbm
add_pkg t1lib
add_pkg glib-2.0
#add_pkg libiconv
add_pkg gettext
add_pkg gtk-doc
add_pkg libgpg-error
add_pkg libgcrypt
add_pkg gnutls
add_pkg qscintilla
add_pkg bc

####  # QPE Apps
add_pkg subapplet
add_pkg tasklistapplet
add_pkg camera-assistant
add_pkg cumulus
add_pkg dviviewer
add_pkg inkwp
add_pkg iqnotes
add_pkg justreader
add_pkg keyring
add_pkg klimt
add_pkg kstars
add_pkg ktimetrackerpi
add_pkg militaryalphabet
add_pkg notez
add_pkg petitepainture
add_pkg pocketcellar
add_pkg poqetpresenter
add_pkg portabase
add_pkg qpealarmclock
add_pkg qpe-gaim
add_pkg qpenmapfe
add_pkg qplot
add_pkg resistorui
add_pkg shopper
add_pkg timesleuth
add_pkg txdrug
add_pkg tximage
add_pkg ubahnnav
add_pkg visiscript
add_pkg zeecookbook
add_pkg zbedic
add_pkg zbench
add_pkg zgscore
add_pkg zipsc
add_pkg zlapspeed
add_pkg zroadmap
add_pkg zshopi

#QPE games deps
add_pkg libsdl
add_pkg phalanx
add_pkg expat

#QPE games
add_pkg aliens
add_pkg billiardz
add_pkg brickout
add_pkg freedroid
add_pkg froot
add_pkg gemdropx
add_pkg iaimaster
add_pkg knights
add_pkg powermanga
add_pkg prboom
add_pkg puzz-le
add_pkg qfish
add_pkg qpe-vexed
add_pkg qmatrix
add_pkg rott
add_pkg scummvm
add_pkg tickypip
add_pkg vectoroids
add_pkg xmame
add_pkg zauralign
add_pkg zddice
add_pkg zmerlin
add_pkg zrally
add_pkg ztappy
add_pkg qpe-games

# QPE IM
add_pkg custominput

# QPE multimedia
add_pkg mplayer
add_pkg sidplayer
add_pkg xmms-embedded

# KDE PIM stuff
add_pkg kdepimpi

# emulators
add_pkg frodo
add_pkg snes9x
add_pkg uae

# QT QPF fonts
add_pkg qpf-fonts
add_pkg vera-fonts
add_pkg ttf-fonts

add_pkg bluez
add_pkg obexftp
add_pkg obexpush
add_pkg openobex
add_pkg openobex-apps
add_pkg libgsm

) | while read a; do
	ln $a . -s
done;
